Subject: bug#73054: closed (Re: bug#73054: [PATCH mesa-updates] gnu: Remove wayland-protocols-next.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Sep 2024 01:13:02 +0000

Your bug report

#73054: [PATCH mesa-updates] gnu: Remove wayland-protocols-next.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73054: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73054
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#73054: [PATCH mesa-updates] gnu: Remove wayland-protocols-next.
From: John Kehayias <[email-masked]>
To: Zheng Junjie <[email-masked]>
Cc: [email-masked]
Date: Sat, 07 Sep 2024 01:12:33 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

On Fri, Sep 06, 2024 at 01:18 AM, Zheng Junjie wrote:

> * gnu/packages/freedesktop.scm (wayland-protocols-next): Delete variable.
> * gnu/packages/kde-plasma.scm (kwin)[native-inputs]: Replace
> wayland-protocols-next with wayland-protocols.
>

My apologies, I didn't see this patch when I was working on mesa-updates
with the following series https://issues.guix.gnu.org/73071 I included a
similar change there after updating wayland-protocols to the latest
version.

Closing, please followup on the mesa issue if there's anything else,
thanks!

John

> Change-Id: I819bfdcdfb93ab0f4692055269b0ec324c3b2c5e
> ---
>  gnu/packages/freedesktop.scm | 13 -------------
>  gnu/packages/kde-plasma.scm  |  2 +-
>  2 files changed, 1 insertion(+), 14 deletions(-)
>
> diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
> index 35c7f5a8fc..244a8c2c03 100644
> --- a/gnu/packages/freedesktop.scm
> +++ b/gnu/packages/freedesktop.scm
> @@ -1395,19 +1395,6 @@ (define-public wayland-protocols
>          . "https://wayland.freedesktop.org/releases.html")))
>      (license license:expat)))
>
> -(define-public wayland-protocols-next
> -  (package (inherit wayland-protocols)
> -           (name "wayland-protocols-next")
> -           (version "1.36")
> -           (source (origin
> -                     (method url-fetch)
> -                     (uri (string-append "https://gitlab.freedesktop.org/wayland/"
> -                                         "wayland-protocols/-/releases/" version "/downloads/"
> -                                         "wayland-protocols-" version ".tar.xz"))
> -                     (sha256
> -                      (base32
> -                       "14kyxywpfkgpjpkrybs28q1s2prnz30k1b4zap5a3ybrbvh4vzbi"))))))
> -
>  (define-public wayland-utils
>    (package
>      (name "wayland-utils")
> diff --git a/gnu/packages/kde-plasma.scm b/gnu/packages/kde-plasma.scm
> index 5e9b9688d1..7a35209da8 100644
> --- a/gnu/packages/kde-plasma.scm
> +++ b/gnu/packages/kde-plasma.scm
> @@ -1451,7 +1451,7 @@ (define-public kwin
>                           mesa-utils
>                           pkg-config
>                           qttools
> -                         wayland-protocols-next
> +                         wayland-protocols
>                           xorg-server-for-tests
>                           python-minimal
>                           ;; for QtWaylandScanner
>
> base-commit: 5b64aa0be64da50eb82a770c4af1c74f8742f88a

Subject: [PATCH mesa-updates] gnu: Remove wayland-protocols-next.
From: Zheng Junjie <[email-masked]>
To: [email-masked]
Date: Fri, 6 Sep 2024 01:18:33 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

* gnu/packages/freedesktop.scm (wayland-protocols-next): Delete variable.
* gnu/packages/kde-plasma.scm (kwin)[native-inputs]: Replace
wayland-protocols-next with wayland-protocols.

Change-Id: I819bfdcdfb93ab0f4692055269b0ec324c3b2c5e
---
 gnu/packages/freedesktop.scm | 13 -------------
 gnu/packages/kde-plasma.scm  |  2 +-
 2 files changed, 1 insertion(+), 14 deletions(-)

diff --git a/gnu/packages/freedesktop.scm b/gnu/packages/freedesktop.scm
index 35c7f5a8fc..244a8c2c03 100644
--- a/gnu/packages/freedesktop.scm
+++ b/gnu/packages/freedesktop.scm
@@ -1395,19 +1395,6 @@ (define-public wayland-protocols
         . "https://wayland.freedesktop.org/releases.html")))
     (license license:expat)))
 
-(define-public wayland-protocols-next
-  (package (inherit wayland-protocols)
-           (name "wayland-protocols-next")
-           (version "1.36")
-           (source (origin
-                     (method url-fetch)
-                     (uri (string-append "https://gitlab.freedesktop.org/wayland/"
-                                         "wayland-protocols/-/releases/" version "/downloads/"
-                                         "wayland-protocols-" version ".tar.xz"))
-                     (sha256
-                      (base32
-                       "14kyxywpfkgpjpkrybs28q1s2prnz30k1b4zap5a3ybrbvh4vzbi"))))))
-
 (define-public wayland-utils
   (package
     (name "wayland-utils")
diff --git a/gnu/packages/kde-plasma.scm b/gnu/packages/kde-plasma.scm
index 5e9b9688d1..7a35209da8 100644
--- a/gnu/packages/kde-plasma.scm
+++ b/gnu/packages/kde-plasma.scm
@@ -1451,7 +1451,7 @@ (define-public kwin
                          mesa-utils
                          pkg-config
                          qttools
-                         wayland-protocols-next
+                         wayland-protocols
                          xorg-server-for-tests
                          python-minimal
                          ;; for QtWaylandScanner

base-commit: 5b64aa0be64da50eb82a770c4af1c74f8742f88a
-- 
2.45.2